DenteroEntwickler
API-Referenz

Get recordings

GET
/api/v1/recordings

Autorisierung

bearerAuth
AutorisierungBearer <token>

Practice API token, generated in the Dentero practice settings and sent as Authorization: Bearer <token>.

In: header

Query-Parameter

email?string

Filter recordings to those created by the user with this email address.

limit?integer
page?integer
patient_id?integer

Filter recordings by the patient's practice number (PVS patient ID).

Antwort-Body

application/json

application/json

curl -X GET "https://example.com/api/v1/recordings?limit=10&page=1"
{  "recordings": [    {      "status": "pending",      "source": "live_recording",      "recorded_at": "2026-07-17T11:45:45.804+02:00",      "created_at": "2026-07-17T11:45:45.808+02:00",      "id": "rec_OexpwzSV1DPw",      "name": "Consequuntur perferendis sit libero.",      "user_email": "luise.gusikowski@spinka-bailey.test",      "completed": true,      "documentation_ready": true,      "patient_id": null    },    {      "status": "pending",      "source": "live_recording",      "recorded_at": "2026-07-17T11:45:45.788+02:00",      "created_at": "2026-07-17T11:45:45.793+02:00",      "id": "rec_EyxqE0tJGx5r",      "name": "Aspernatur adipisci aut eos.",      "user_email": "luise.gusikowski@spinka-bailey.test",      "completed": true,      "documentation_ready": true,      "patient_id": null    }  ],  "pagination": {    "page": 1,    "limit": 10,    "count": 2,    "pages": 1,    "next": null,    "prev": null  }}
{  "error": "unauthorized"}